.grid {
    display: flex;
    flex-wrap: wrap;
    width: 100%;

    &__col-1 {
        width: 100%;
    }

    &__col-2 {
        width: 50%;

        @media (max-width: $md) {
            width: 100%;
        }
    }

    &__col-3 {
        width: 33.33%;

        @media (max-width: $lg) {
            width: 50%;
        }

        @media (max-width: $md) {
            width: 100%;
        }
    }

    &__col-4 {
        width: 25%;

        @media (max-width: $lg) {
            width: 50%;
        }

        @media (max-width: $md) {
            width: 100%;
        }
    }

    @media (max-width: $md) {
        flex-direction: column;
    }

    &--wrap {
        flex-wrap: wrap;
    }

    &--center {
        justify-content: center;
    }
}
